LINUX.ORG.RU

Ну, поздравляю. А нам-то ты зачем об этом рассказал?

Zhbert ★★★★★ ()

Версии wine разные? Всякие ie .net и прочая хрень стоит\стояла?

mrcim ()

Смотришь, накатываешь себе такую же версию вайна и радуешься.

silw ★★★★★ ()
Ответ на: комментарий от mrcim

> Версии wine разные? В Arch Linux пробовал 1.3.29 (последнюю из репозитория) и 1.2.2 (собирал из исходников) . В Ubuntu пробовал почти все версии начиная с 1.1.2 На всех устанавливался без проблем.

Всякие ie .net и прочая хрень стоит\стояла?

Пробовал это всё устанавливать. Почти все компоненты перепробовал, ничего не помогает. К тому же думаю они всё равно не нужны, т.к в Ubuntu сталкер запускался сразу на чистом вайне.

Jonson___ ()
Ответ на: комментарий от Jonson___

>в Ubuntu сталкер запускался сразу на чистом вайне.
В убунтовских репозиториях лежит вайн с d3dx9?

f1xmAn ★★★★★ ()
Ответ на: комментарий от f1xmAn

> В убунтовских репозиториях лежит вайн с d3dx9?

Ты имеешь ввиду файлы типа d3dx9_26.dll? Они есть в любом вайне.

Jonson___ ()
Ответ на: комментарий от Jonson___

Я имею в виду конкретно дистрибутив DirectX9, который всегда приходится доустанавливать, используя winetricks.

f1xmAn ★★★★★ ()
Ответ на: комментарий от f1xmAn

> Я имею в виду конкретно дистрибутив DirectX9, который всегда приходится доустанавливать, используя winetricks.

Не всегда. Недавно установил в очередной раз Пятых Героев в Арчевом вайне. Устанавливать директикс не нужно было, все замечательно завелось из коробки. При этом сама игра требует directx 9.0c. Когда-то давно приходилось что-то доустанавливать, сейчас все просто работает.

ATIpro ★★ ()
Ответ на: комментарий от ATIpro

О, молодцы девелоперы. Я давно его не использовал, вот и наврал в треде.

f1xmAn ★★★★★ ()

Сейчас ещё собрал стабильную версию 1.2.3. Результат такой же - установщик вылетает с ошибкой. Похоже версия вайна тут не при чём. Значит получается проблема в моей системе? Но что в системе может влиять на вайн?

Jonson___ ()

Щкололо, ставь максимальную и надрачивай в свой сралкер. Ещёб на солярисе пробовал его запускать.

anonymous ()
Ответ на: комментарий от anonymous

Я пробовал самую максимальную версию 1.3.29, всё равно не устанавливается.

Jonson___ ()

gecko в арче когда-то давно нужно было отдельно доставлять.

SmaL ()
Ответ на: комментарий от anonymous

Нет, спасибо. Мне неохота мучаться с вирусами и переустанавливать её каждую неделю из-за разных глюков. Я уж лучше на Ubuntu вернусь, там и сталкер работает и вирусов нет.

Jonson___ ()
Ответ на: комментарий от Jonson___

Там не совсем чистый вайн ставится, он по моему какие-то зависимости тянет.Linux Game или как-то так пробовал? В нем скрипты для установки популярных игр, мне в свое время помогло(давно было, сейчас не играю, искл. minecraft).

mrcim ()
Ответ на: комментарий от f1xmAn

Хз что там в убунтовских, а в ванильном вайне без никаких сторонних либ STALKER работает (если не учитывать белое небо при динамическом освещении).

franchukroman ★★☆ ()
Ответ на: комментарий от anonymous

Зря сказал про солярис. Ведь установит и будет его на предмет игр пытать.

StReLoK ☆☆ ()

Вот ещё прилагаю сообщения из терминала: $ wine setup.exe fixme:system:SetProcessDPIAware stub! fixme:system:SetProcessDPIAware stub! fixme:win:DisableProcessWindowsGhosting : stub

Jonson___ ()

Главное, что сама игра работает отлично. Не работает только инсталлятор. И такая же ошибка во всех 3-х играх серии S.T.A.L.K.E.R. В остальных играх инсталлятор запускается как положено. Может поставить на VirtualBox Ubuntu и из неё устанавливать сталкер?

Jonson___ ()

Регрессия. Тебе нужен чуть более старый Wine и разместить баг

ZenitharChampion ★★★★★ ()

А при переустановке wine и после всех своих экспериментов папочку ~/.wine удалял каждый раз или на авось все оставил?

delete83 ★★ ()
Ответ на: комментарий от ATIpro

Совет «First, you need to cd in the repertory of the executable.» просто убивает наповал =)

delete83 ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.